com.amazon.redshift.sspi

## Class NTDSAPIWrapper

- java.lang.Object
- - com.amazon.redshift.sspi.NTDSAPIWrapper

    public class NTDSAPIWrapper
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`NTDSAPIWrapper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `DsMakeSpn(String serviceClass, String serviceName, String instanceName, short instancePort, String referrer)` Convenience wrapper for NTDSAPI DsMakeSpn with Java friendly string and exception handling.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NTDSAPIWrapper

    public NTDSAPIWrapper()

### Method Detail

#### DsMakeSpn

    public String DsMakeSpn(String serviceClass,
                            String serviceName,
                            String instanceName,
                            short instancePort,
                            String referrer)
                     throws LastErrorException

Convenience wrapper for NTDSAPI DsMakeSpn with Java friendly string and exception handling.

Parameters:
  `serviceClass` - See MSDN
  `serviceName` - See MSDN
  `instanceName` - See MSDN
  `instancePort` - See MSDN
  `referrer` - See MSDN
Returns:
  SPN generated
Throws:
  `LastErrorException` - If buffer too small or parameter incorrect
See Also:
  https://msdn.microsoft.com/en-us/library/ms676007(v=vs.85).aspx